Subject: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors

From: Mosè Giordano <[email-masked]>
Date: Mon, 23 Oct 2017 17:09:57 +0200

2017-10-23 14:47 GMT+02:00 jfbu <[email-masked]>:
> In real life example the ``:1: `` pattern appeared farther away on the line
> inside a sentence. To a human, it is obvious it is not a LaTeX error
> message. I am confident the logic for recognizing such error messages
> is improvable. I plan to look at it when I get time to make
> concrete proposal.

The relevant regexp is at line 1507 of tex-buf.el:
https://git.savannah.gnu.org/gitweb/?p=auctex.git;a=blob;f=tex-buf.el;h=f458651c2cffc110ef4af4541c6b08af976907fb;hb=HEAD#l1507
Perhaps ".*" is too greedy, anyway that regexp should match anything
that is a legal path.  I don't expect it to be supereasy to find a
regexp matching a path but not a whole sentence ;-)

Bye,
Mosè